
import com.imsl.chart.*;
import java.text.SimpleDateFormat;
import java.util.GregorianCalendar;

public class SampleSkipWeekends extends JFrameChart {

    public SampleSkipWeekends() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        Axis1D axisX = axis.getAxisX();
        axisX.getAxisLabel().setTextFormat(
                new SimpleDateFormat("EEE MM/d/yy"));
        axisX.getAxisLabel().setTextAngle(90);

        // Skip weekends
        axisX.setSkipWeekends(true);
        axisX.setTransform(Axis1D.TRANSFORM_CUSTOM);
        axisX.setCustomTransform(new TransformDate());

        GregorianCalendar t[] = {
            new GregorianCalendar(2001, GregorianCalendar.OCTOBER, 10),
            new GregorianCalendar(2001, GregorianCalendar.OCTOBER, 11),
            new GregorianCalendar(2001, GregorianCalendar.OCTOBER, 12),
            new GregorianCalendar(2001, GregorianCalendar.OCTOBER, 15),
            new GregorianCalendar(2001, GregorianCalendar.OCTOBER, 16)
        };
        double x[] = new double[5];
        for (int k = 0; k < x.length; k++) {
            x[k] = t[k].getTime().getTime();
        }
        double y[] = {4, 2, 3, 9, 2};
        Data data = new Data(axis, x, y);
        data.setLineColor(java.awt.Color.blue);

        axis.setViewport(0.2, 0.9, 0.1, 0.7);
    }

    public static void main(String argv[]) {
        new SampleSkipWeekends().setVisible(true);
    }
}
